# Class UiBinding.RadioListAdapter<PropertyType>

java.lang.Object
com.codename1.properties.UiBinding.ComponentAdapter<PropertyType, RadioButton[]>
com.codename1.properties.UiBinding.RadioListAdapter<PropertyType>

Enclosing class:
  `UiBinding`

public static class UiBinding.RadioListAdapter<PropertyType> extends UiBinding.ComponentAdapter<PropertyType, RadioButton[]>

Adapts a set of `com.codename1.ui.RadioButton` to a selection within a list of values

##### Parameters

- `the`: type of the property generic

- ## Field Summary

  ### Fields inherited from class UiBinding.ComponentAdapter

  `toComponentType, toPropertyType`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `RadioListAdapter(UiBinding.ObjectConverter toPropertyType, PropertyType... values)`
  Constructs a new binding

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `assignTo(PropertyType value, RadioButton[] cmp)`
  Assigns the value from the property into the component
  `void`
  `bindListener(RadioButton[] cmp, ActionListener<ActionEvent> l)`
  Binds an action listener to changes in the component
  `PropertyType`
  `getFrom(RadioButton[] cmp)`
  Returns the value for the set method of the property from the given component
  `void`
  `removeListener(RadioButton[] cmp, ActionListener<ActionEvent> l)`
  Removes the action listener from changes in the component

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### RadioListAdapter

    public RadioListAdapter(UiBinding.ObjectConverter toPropertyType, PropertyType... values)

    Constructs a new binding

    ###### Parameters

    - `toPropertyType`: the conversion logic to the property

    - `values`: potential values for the selection

- ## Method Details

  - ### assignTo

    public void assignTo(PropertyType value, RadioButton[] cmp)
    Description copied from class: `UiBinding.ComponentAdapter`

    Assigns the value from the property into the component

    ###### Parameters

    - `value`: the value that was returned from the property get method

    - `cmp`: the component instance

    Specified by:
      `assignTo` in class `UiBinding.ComponentAdapter<PropertyType, RadioButton[]>`

  - ### getFrom

    public PropertyType getFrom(RadioButton[] cmp)
    Description copied from class: `UiBinding.ComponentAdapter`

    Returns the value for the set method of the property from the given component

    ###### Parameters

    - `cmp`: the component

    ###### Returns

    the value we can place into the set method

    Specified by:
      `getFrom` in class `UiBinding.ComponentAdapter<PropertyType, RadioButton[]>`

  - ### bindListener

    public void bindListener(RadioButton[] cmp, ActionListener<ActionEvent> l)
    Description copied from class: `UiBinding.ComponentAdapter`

    Binds an action listener to changes in the component

    ###### Parameters

    - `cmp`: the component

    - `l`: listener

    Specified by:
      `bindListener` in class `UiBinding.ComponentAdapter<PropertyType, RadioButton[]>`

  - ### removeListener

    public void removeListener(RadioButton[] cmp, ActionListener<ActionEvent> l)
    Description copied from class: `UiBinding.ComponentAdapter`

    Removes the action listener from changes in the component

    ###### Parameters

    - `cmp`: the component

    - `l`: listener

    Specified by:
      `removeListener` in class `UiBinding.ComponentAdapter<PropertyType, RadioButton[]>`